1. Recurring Events
Pitside For FRC
  • Auth
    • Register
      POST
    • Login
      POST
  • Users
    • User Self Managment
      • Get User Data
      • Update User
      • Delete User
      • See User's Teams
      • Get Team Members
    • Team Invites
      • Create Invite
      • Get Invites
      • Update Invite
      • Disable Invite
      • Get Team from Invite
      • Reedem Invite
    • Permissons
      • Roles
        • Create Role
        • Get Role
        • Get Roles - Bulk
        • Update Role
        • Delete Role
        • Assign Permission to Role
        • Unassign Permission to Role
        • Assign Role to Users
        • Unassign Role to Users
      • Assign Permission
      • Unassign Permission
      • Get All Permissions
      • Get User's Permissions
    • Remove User From Team
      DELETE
  • Calendar
    • Retreving Ical Feed
    • Single Events
      • Create Single Event
      • Update event
      • Delete Event
      • Get Single Event Data
      • Cancel Event
    • Recurring Events
      • Overview
      • Create Recurring Event
        POST
      • Get Reccuring Rule
        GET
      • Update Recurring Rule
        PUT
      • Delete Recurring Rule
        DELETE
    • Tags
      • Create Tag
      • Get All Tags
      • Delete Tag
      • Link tags to events
      • Unlink tags from events
    • Attendance
      • Set expected attendance
    • Get all events
      GET
  • Public
    • Calendar
      • Get Ical Calendar Feed
  • Email
    • Overview
    • Create Draft
      POST
    • Get Emails
      GET
    • Get Email
      GET
    • Update Draft
      PUT
    • Delete Draft
      DELETE
    • Send Draft
      POST
  1. Recurring Events

Update Recurring Rule

PUT
https://api.pitside.app/calendar/recurring/{recurring_id}
Required Permissions:calendar.modify
Updates a Recurring set of events based on an RRULE, this will delete all events linked to the current RRULE, including ones that were modified after the creation of the rule. This will also overwrite all fields, so make sure to include all of them

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "RRule": "string",
    "title": "string",
    "description": "string",
    "location": "string",
    "duration_minutes": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.pitside.app/calendar/recurring/' \
--header 'activeTeamId;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "RRule": "string",
    "title": "string",
    "description": "string",
    "location": "string",
    "duration_minutes": 0
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "string",
    "teamId": "string",
    "RRule": "string",
    "duration_minutes": 0,
    "events": [
        {
            "id": "string",
            "teamId": "string",
            "title": "string",
            "description": "string",
            "location": "string",
            "startTime": "2019-08-24T14:15:22.123Z",
            "endTime": "2019-08-24T14:15:22.123Z",
            "isModifiedFromRule": true,
            "isCanceled": true,
            "recurrence": {
                "id": "string"
            },
            "tags": [
                {
                    "name": "string"
                }
            ],
            "attendances": [
                {
                    "user": {
                        "id": "string",
                        "username": "string"
                    },
                    "reportedStatus": "string"
                }
            ]
        }
    ]
}
Previous
Get Reccuring Rule
Next
Delete Recurring Rule
Built with